com.lowagie.tools

## Class Executable

- java.lang.Object
- - com.lowagie.tools.Executable

    public class Executable
    extends Object

This class enables you to call an executable that will show a PDF file.

### Field Summary

Fields
`static String` `acroread` The path to Acrobat Reader.

### Constructor Summary

Constructors
Constructor and Description
`Executable()`

### Method Summary

Methods
`private static Process` `action(String fileName, String parameters, boolean waitForTermination)` Performs an action on a PDF document.
`static boolean` `isLinux()` Checks the Operating System.
`static boolean` `isMac()` Checks the Operating System.
`static boolean` `isWindows()` Checks the Operating System.
`static boolean` `isWindows9X()` Checks the Operating System.
`static void` `launchBrowser(String url)` Launches a browser opening an URL.
`static Process` `openDocument(File file)` Opens a PDF document.
`static Process` `openDocument(File file, boolean waitForTermination)` Opens a PDF document.
`static Process` `openDocument(String fileName)` Opens a PDF document.
`static Process` `openDocument(String fileName, boolean waitForTermination)` Opens a PDF document.
`static Process` `printDocument(File file)` Prints a PDF document.
`static Process` `printDocument(File file, boolean waitForTermination)` Prints a PDF document.
`static Process` `printDocument(String fileName)` Prints a PDF document.
`static Process` `printDocument(String fileName, boolean waitForTermination)` Prints a PDF document.
`static Process` `printDocumentSilent(File file)` Prints a PDF document without opening a Dialog box.
`static Process` `printDocumentSilent(File file, boolean waitForTermination)` Prints a PDF document without opening a Dialog box.
`static Process` `printDocumentSilent(String fileName)` Prints a PDF document without opening a Dialog box.
`static Process` `printDocumentSilent(String fileName, boolean waitForTermination)` Prints a PDF document without opening a Dialog box.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### acroread

    public static String acroread

The path to Acrobat Reader.

### Constructor Detail

#### Executable

    public Executable()

### Method Detail

#### action

    private static Process action(String fileName,
                 String parameters,
                 boolean waitForTermination)
                           throws IOException

Performs an action on a PDF document.

Parameters:
  `fileName` -
  `parameters` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### openDocument

    public static final Process openDocument(String fileName,
                       boolean waitForTermination)
                                      throws IOException

Opens a PDF document.

Parameters:
  `fileName` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### openDocument

    public static final Process openDocument(File file,
                       boolean waitForTermination)
                                      throws IOException

Opens a PDF document.

Parameters:
  `file` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### openDocument

    public static final Process openDocument(String fileName)
                                      throws IOException

Opens a PDF document.

Parameters:
  `fileName` -
Returns:
  a process
Throws:
  `IOException`

#### openDocument

    public static final Process openDocument(File file)
                                      throws IOException

Opens a PDF document.

Parameters:
  `file` -
Returns:
  a process
Throws:
  `IOException`

#### printDocument

    public static final Process printDocument(String fileName,
                        boolean waitForTermination)
                                       throws IOException

Prints a PDF document.

Parameters:
  `fileName` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### printDocument

    public static final Process printDocument(File file,
                        boolean waitForTermination)
                                       throws IOException

Prints a PDF document.

Parameters:
  `file` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### printDocument

    public static final Process printDocument(String fileName)
                                       throws IOException

Prints a PDF document.

Parameters:
  `fileName` -
Returns:
  a process
Throws:
  `IOException`

#### printDocument

    public static final Process printDocument(File file)
                                       throws IOException

Prints a PDF document.

Parameters:
  `file` -
Returns:
  a process
Throws:
  `IOException`

#### printDocumentSilent

    public static final Process printDocumentSilent(String fileName,
                              boolean waitForTermination)
                                             throws IOException

Prints a PDF document without opening a Dialog box.

Parameters:
  `fileName` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### printDocumentSilent

    public static final Process printDocumentSilent(File file,
                              boolean waitForTermination)
                                             throws IOException

Prints a PDF document without opening a Dialog box.

Parameters:
  `file` -
  `waitForTermination` -
Returns:
  a process
Throws:
  `IOException`

#### printDocumentSilent

    public static final Process printDocumentSilent(String fileName)
                                             throws IOException

Prints a PDF document without opening a Dialog box.

Parameters:
  `fileName` -
Returns:
  a process
Throws:
  `IOException`

#### printDocumentSilent

    public static final Process printDocumentSilent(File file)
                                             throws IOException

Prints a PDF document without opening a Dialog box.

Parameters:
  `file` -
Returns:
  a process
Throws:
  `IOException`

#### launchBrowser

    public static final void launchBrowser(String url)
                                    throws IOException

Launches a browser opening an URL.

Parameters:
  `url` - the URL you want to open in the browser
Throws:
  `IOException`

#### isWindows

    public static boolean isWindows()

Checks the Operating System.

Returns:
  true if the current os is Windows

#### isWindows9X

    public static boolean isWindows9X()

Checks the Operating System.

Returns:
  true if the current os is Windows

#### isMac

    public static boolean isMac()

Checks the Operating System.

Returns:
  true if the current os is Apple

#### isLinux

    public static boolean isLinux()

Checks the Operating System.

Returns:
  true if the current os is Linux